package server;
import java.io.FileWriter;
import java.io.IOException;
import java.net.InetSocketAddress;

public class IFileServer implements IFile {

	@Override
	public String writeToFile(String filename, String txt) {
		try {
	      FileWriter myWriter = new FileWriter(filename);
	      myWriter.write(txt);
	      myWriter.close();
	      System.out.println("Successfully wrote to the file.");
	    } catch (IOException e) {
	      System.out.println("An error occurred.");
	      e.printStackTrace();
	    }
		return "Completed!";
	}	
	
	public static void main(String[] args) {
		int port = 3000;		
		InetSocketAddress address = new InetSocketAddress(port);
		Skeleton skltn = new Skeleton(address, IFile.class, IFileServer.class);
		skltn.start();
	}
}
